<template>
    <div class="header-livescores flex aic">
        <div class="flex aic">
            <div class="name flex aic">Live Scores</div>
            <div class="scores">
                <v-text-marquee class="marquee" :animate="!hover">
                    <span
                        @mouseenter="hover = true"
                        @mouseleave="hover = false"
                        v-for="(item, idx) in items"
                        :key="idx"
                    >
                        {{ item }}
                    </span>
                </v-text-marquee>
            </div>
        </div>
    </div>
</template>

<script>
import { VTextMarquee } from 'vue-text-marquee'
export default {
    name: 'LiveScores',
    data: () => ({
        items: [
            "Welcome to JokerOdds, we're in a testing mode",
            "Welcome to JokerOdds, we're in a testing mode",
            "Welcome to JokerOdds, we're in a testing mode",
        ],
        hover: false
    }),
    components: { VTextMarquee }
}
</script>

<style scoped>
    .scores, .marquee { width: 100%; }
</style>
